
D4Science Infrastructure - Task #4915

Registry-  sbd:  enable automatically restart

Sep 01, 2016 01:03 PM - Roberto Cirillo

Status: Closed Start date: Sep 01, 2016

Priority: Low Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

I've notice during the last shutdown that the following container doesn't restart automatically :

registry-sbd.d4science.org

 Please, could you check the configuration for restarting the container after a shutdown?

History

#1 - Sep 01, 2016 07:40 PM - Andrea Dell'Amico

I see that d4science-ghn-cluster/group_vars/ghn_sobigdata/main.yml has 

gcoreboot_enabled: False

 Don't know why.

You can set it to True and then run

./run.sh ghn-node.yml -i inventory/hosts.production -l ghn_sobigdata --tags=gcoreboot

 It will configure the gcore instance to start at boot on both collector-sbd.d4science.org and registry-sbd.d4science.org.

collector-sbd.d4science.org has an /etc/init.d/gcore file. Manually installed I guess, because it has no execution permissions, while the playbook set

them correctly.

#2 - Sep 02, 2016 11:30 AM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#3 - Sep 02, 2016 11:47 AM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

In d4science-ghn-cluster/group_vars/ghn_sobigdata/main.yml , I've also added the following variable:

gcoreboot_install: True
